> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /levelsfyi/companies/salaries

> Get Levels.fyi (levels.fyi) compensation for a company and job title by level and percentile

**Price:** 10 credits

**⚠️ Common errors:** 412: Company or title not found



## OpenAPI

````yaml /openapi/jobs.json post /api/levelsfyi/companies/salaries
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/levelsfyi/companies/salaries:
    post:
      tags:
        - /levelsfyi
      summary: /levelsfyi/companies/salaries
      description: >-
        Get Levels.fyi (levels.fyi) compensation for a company and job title by
        level and percentile


        **Price:** 10 credits


        **⚠️ Common errors:** 412: Company or title not found
      operationId: __api_levelsfyi_companies_salaries_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LevelsfyiCompaniesSalariesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LevelsfyiCompanySalary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LevelsfyiCompaniesSalariesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        company:
          type: string
          minLength: 1
          pattern: ^(?:https?://[^\s]+|[A-Za-z0-9][A-Za-z0-9._-]*)$
        job_title:
          type: string
          minLength: 1
      type: object
      required:
        - company
        - job_title
    LevelsfyiCompanySalary:
      properties:
        '@type':
          type: string
          default: LevelsfyiCompanySalary
        company:
          type: string
        company_alias:
          type: string
        title_alias:
          type: string
        url:
          type: string
        median_total_compensation:
          anyOf:
            - type: number
            - type: 'null'
        median_base_salary:
          anyOf:
            - type: number
            - type: 'null'
        median_stock_grant:
          anyOf:
            - type: number
            - type: 'null'
        median_bonus:
          anyOf:
            - type: number
            - type: 'null'
        median_level:
          anyOf:
            - type: string
            - type: 'null'
        sample_count:
          anyOf:
            - type: integer
            - type: 'null'
        vesting_type:
          anyOf:
            - type: string
            - type: 'null'
        base_salary_percentiles:
          anyOf:
            - $ref: '#/components/schemas/LevelsfyiPercentiles'
            - type: 'null'
        total_compensation_percentiles:
          anyOf:
            - $ref: '#/components/schemas/LevelsfyiPercentiles'
            - type: 'null'
        stock_grant_percentiles:
          anyOf:
            - $ref: '#/components/schemas/LevelsfyiPercentiles'
            - type: 'null'
        bonus_percentiles:
          anyOf:
            - $ref: '#/components/schemas/LevelsfyiPercentiles'
            - type: 'null'
        levels:
          items:
            $ref: '#/components/schemas/LevelsfyiLevelCompensation'
          type: array
          default: []
        level_mapping:
          items:
            $ref: '#/components/schemas/LevelsfyiLevelMapping'
          type: array
          default: []
        samples:
          items:
            $ref: '#/components/schemas/LevelsfyiSalarySample'
          type: array
          default: []
      type: object
      required:
        - company
        - company_alias
        - title
        - title_alias
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    LevelsfyiPercentiles:
      properties:
        '@type':
          type: string
          default: LevelsfyiPercentiles
        p10:
          anyOf:
            - type: number
            - type: 'null'
        p25:
          anyOf:
            - type: number
            - type: 'null'
        p50:
          anyOf:
            - type: number
            - type: 'null'
        p75:
          anyOf:
            - type: number
            - type: 'null'
        p90:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    LevelsfyiLevelCompensation:
      properties:
        '@type':
          type: string
          default: LevelsfyiLevelCompensation
        level:
          type: string
        primary_level_name:
          anyOf:
            - type: string
            - type: 'null'
        secondary_level_name:
          anyOf:
            - type: string
            - type: 'null'
        total:
          anyOf:
            - type: number
            - type: 'null'
        base:
          anyOf:
            - type: number
            - type: 'null'
        stock:
          anyOf:
            - type: number
            - type: 'null'
        bonus:
          anyOf:
            - type: number
            - type: 'null'
        commission:
          anyOf:
            - type: number
            - type: 'null'
        sample_count:
          anyOf:
            - type: integer
            - type: 'null'
        sample_count_last_12_months:
          anyOf:
            - type: integer
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - level
    LevelsfyiLevelMapping:
      properties:
        '@type':
          type: string
          default: LevelsfyiLevelMapping
        titles:
          items:
            type: string
          type: array
          default: []
        percent_workforce:
          anyOf:
            - type: number
            - type: 'null'
        order:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    LevelsfyiSalarySample:
      properties:
        '@type':
          type: string
          default: LevelsfyiSalarySample
        uuid:
          type: string
        level:
          anyOf:
            - type: string
            - type: 'null'
        focus_tag:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        gender:
          anyOf:
            - type: string
            - type: 'null'
        years_of_experience:
          anyOf:
            - type: number
            - type: 'null'
        years_at_company:
          anyOf:
            - type: number
            - type: 'null'
        base_salary:
          anyOf:
            - type: number
            - type: 'null'
        total_compensation:
          anyOf:
            - type: number
            - type: 'null'
        stock_grant:
          anyOf:
            - type: number
            - type: 'null'
        bonus:
          anyOf:
            - type: number
            - type: 'null'
        offer_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - uuid
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````